English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 75803 CVE descriptions
and 40037 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.52252
Category:FreeBSD Local Security Checks
Title:exim -- two buffer overflow vulnerabilities
Summary:exim -- two buffer overflow vulnerabilities
Description:The remote host is missing an update to the system
as announced in the referenced advisory.

The following packages are affected:
exim
exim-ldap
exim-ldap2
exim-mysql
exim-postgresql
exim-sa-exim

CVE-2005-0021
Multiple buffer overflows in Exim before 4.43 may allow attackers to
execute arbitrary code via (1) an IPv6 address with more than 8
components, as demonstrated using the -be command line option, which
triggers an overflow in the host_aton function, or (2) the -bh command
line option or dnsdb PTR lookup, which triggers an overflow in the
dns_build_reverse function.

CVE-2005-0022
Buffer overflow in the spa_base64_to_bits function in Exim before
4.43, as originally obtained from Samba code, and as called by the
auth_spa_client function, may allow attackers to execute arbitrary
code during SPA authentication.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://www.exim.org/mail-archives/exim-announce/2005/msg00000.html
http://marc.theaimsgroup.com/?l=bugtraq&m=110573573800377
http://www.vuxml.org/freebsd/ca9ce879-5ebb-11d9-a01c-0050569f0001.html
Cross-Ref: BugTraq ID: 12185
BugTraq ID: 12188
BugTraq ID: 12268
Common Vulnerability Exposure (CVE) ID: CVE-2005-0021
http://www.idefense.com/application/poi/display?id=179&type=vulnerabilities
http://www.idefense.com/application/poi/display?id=183&type=vulnerabilities
http://www.exim.org/mail-archives/exim-users/Week-of-Mon-20050103/msg00028.html
Debian Security Information: DSA-635 (Google Search)
http://www.debian.org/security/2005/dsa-635
Debian Security Information: DSA-637 (Google Search)
http://www.debian.org/security/2005/dsa-637
http://security.gentoo.org/glsa/glsa-200501-23.xml
http://www.redhat.com/support/errata/RHSA-2005-025.html
CERT/CC vulnerability note: VU#132992
http://www.kb.cert.org/vuls/id/132992
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:10347
Common Vulnerability Exposure (CVE) ID: CVE-2005-0022
http://www.idefense.com/application/poi/display?id=178&type=vulnerabilities
Bugtraq: 20050212 exim auth_spa_server() PoC exploit (Google Search)
http://marc.theaimsgroup.com/?l=bugtraq&m=110824870908614&w=2
http://www.securityfocus.com/bid/12188
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:11293
CopyrightCopyright (c) 2005 E-Soft Inc. http://www.securityspace.com

This is only one of 40037 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.